Subject: Re: Bug#544481: diff should not be an essential package

From: Sven Joachim <[email-masked]>
Date: Tue, 01 Sep 2009 09:18:02 +0200

package apt
merge 216768 544481
thanks

On 2009-09-01 08:52 +0200, Raphael Hertzog wrote:

> reassing 544481 apt 0.7.23.1
> severity 544481 normal
> retitle 544481 apt mixes essential flag from all sources
> [...]
> IMO it's apt that simply mixes the Essential: flag read from different
> sources, a quick check makes it obvious:

This seems to have been reported several times already, see #216768 and
siblings.

> So reassiging to apt... apt should use the essential flag from
> /var/lib/dpkg/status / the distribution containing the installed package to
> decide whether an essential package can be removed or not.

Even if it did that it, is not clear to me whether it would not want to
reinstall it afterwards.  Bug #177952 seems to indicate that.

Sven